# OnnxRuntime: Ort::Env Struct Reference

Loading...
Searching...
No Matches
Ort::Env Struct Reference

The Env (Environment) More...

`#include <onnxruntime_cxx_api.h>`

Inheritance diagram for Ort::Env:

## Public Member Functions

| Env (std::nullptr_t)
| Create an empty Env object, must be assigned a valid one to be used.
| Env (OrtLoggingLevel logging_level=ORT_LOGGING_LEVEL_WARNING, const char *logid="")
| Wraps OrtApi::CreateEnv.
| Env (OrtLoggingLevel logging_level, const char *logid, OrtLoggingFunction logging_function, void *logger_param)
| Wraps OrtApi::CreateEnvWithCustomLogger.
| Env (const OrtThreadingOptions *tp_options, OrtLoggingLevel logging_level=ORT_LOGGING_LEVEL_WARNING, const char *logid="")
| Wraps OrtApi::CreateEnvWithGlobalThreadPools.
| Env (const OrtThreadingOptions *tp_options, OrtLoggingFunction logging_function, void *logger_param, OrtLoggingLevel logging_level=ORT_LOGGING_LEVEL_WARNING, const char *logid="")
| Wraps OrtApi::CreateEnvWithCustomLoggerAndGlobalThreadPools.
| Env (OrtEnv *p)
| C Interop Helper.
Env & | EnableTelemetryEvents ()
| Wraps OrtApi::EnableTelemetryEvents.
Env & | DisableTelemetryEvents ()
| Wraps OrtApi::DisableTelemetryEvents.
Env & | UpdateEnvWithCustomLogLevel (OrtLoggingLevel log_severity_level)
| Wraps OrtApi::UpdateEnvWithCustomLogLevel.
Env & | CreateAndRegisterAllocator (const OrtMemoryInfo *mem_info, const OrtArenaCfg *arena_cfg)
| Wraps OrtApi::CreateAndRegisterAllocator.
Public Member Functions inherited from Ort::detail::Base< OrtEnv >
constexpr | Base ()=default
constexpr | Base (contained_type *p) noexcept
| Base (const Base &)=delete
| Base (Base &&v) noexcept
| ~Base ()
Base & | operator= (const Base &)=delete
Base & | operator= (Base &&v) noexcept
constexpr | operator contained_type * () const noexcept
contained_type * | release ()
| Relinquishes ownership of the contained C object pointer The underlying object is not destroyed.

## Additional Inherited Members

Public Types inherited from Ort::detail::Base< OrtEnv >
using | contained_type = OrtEnv
Protected Attributes inherited from Ort::detail::Base< OrtEnv >
contained_type * | p_

## Detailed Description

The Env (Environment)

The Env holds the logging state used by all other objects. Note: One Env must be created before using any other Onnxruntime functionality

## Constructor & Destructor Documentation

## Env() [1/6]

Ort::Env::Env | ( | std::nullptr_t |  | ) |

inlineexplicit

Create an empty Env object, must be assigned a valid one to be used.

## Env() [2/6]

Ort::Env::Env | ( | OrtLoggingLevel | logging_level = `ORT_LOGGING_LEVEL_WARNING`,
|  | const char * | logid = `""`
| ) |  |

Wraps OrtApi::CreateEnv.

## Env() [3/6]

Ort::Env::Env | ( | OrtLoggingLevel | logging_level,
|  | const char * | logid,
|  | OrtLoggingFunction | logging_function,
|  | void * | logger_param
| ) |  |

Wraps OrtApi::CreateEnvWithCustomLogger.

## Env() [4/6]

Ort::Env::Env | ( | const OrtThreadingOptions * | tp_options,
|  | OrtLoggingLevel | logging_level = `ORT_LOGGING_LEVEL_WARNING`,
|  | const char * | logid = `""`
| ) |  |

Wraps OrtApi::CreateEnvWithGlobalThreadPools.

## Env() [5/6]

Ort::Env::Env | ( | const OrtThreadingOptions * | tp_options,
|  | OrtLoggingFunction | logging_function,
|  | void * | logger_param,
|  | OrtLoggingLevel | logging_level = `ORT_LOGGING_LEVEL_WARNING`,
|  | const char * | logid = `""`
| ) |  |

Wraps OrtApi::CreateEnvWithCustomLoggerAndGlobalThreadPools.

## Env() [6/6]

Ort::Env::Env | ( | OrtEnv * | p | ) |

inlineexplicit

C Interop Helper.

## Member Function Documentation

## CreateAndRegisterAllocator()

Env & Ort::Env::CreateAndRegisterAllocator | ( | const OrtMemoryInfo * | mem_info,
|  | const OrtArenaCfg * | arena_cfg
| ) |  |

Wraps OrtApi::CreateAndRegisterAllocator.

## DisableTelemetryEvents()

Env & Ort::Env::DisableTelemetryEvents | ( |  | ) |

Wraps OrtApi::DisableTelemetryEvents.

## EnableTelemetryEvents()

Env & Ort::Env::EnableTelemetryEvents | ( |  | ) |

Wraps OrtApi::EnableTelemetryEvents.

## UpdateEnvWithCustomLogLevel()

Env & Ort::Env::UpdateEnvWithCustomLogLevel | ( | OrtLoggingLevel | log_severity_level | ) |

Wraps OrtApi::UpdateEnvWithCustomLogLevel.